org.apache.fop.afp.ioca

## Class Tile

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.modca.AbstractStructuredObject
    - - org.apache.fop.afp.ioca.Tile

- All Implemented Interfaces:
    Streamable

      public class Tile
      extends AbstractStructuredObject

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tile()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setBandImage(BandImage bandImage)`
    `void` | `setIDEStructureParameter(IDEStructureParameter ideStructureParameter)`
    `void` | `setImageData(byte[] imageData)`
    `void` | `setImageEncodingParameter(byte encoding)`
    `void` | `setImageIDESizeParameter(byte ideSize)`
    `void` | `setPosition(TilePosition tilePosition)`
    `void` | `setSize(TileSize tileSize)`
    `protected static void` | `writeChunksToStream(byte[] data, byte[] dataHeader, int lengthOffset, int maxChunkLength, java.io.OutputStream os)`
    `void` | `writeContent(java.io.OutputStream os)` Helper method to write the contents of the Object.
    `protected void` | `writeEnd(java.io.OutputStream os)` Helper method to write the end of the Object.
    `protected void` | `writeStart(java.io.OutputStream os)` Helper method to write the start of the Object.

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject

      `writeToStream`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, copySF, truncate, writeObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tile

          public Tile()

  - ### Method Detail

    - #### writeContent

          public void writeContent(java.io.OutputStream os)
                            throws java.io.IOException

      Description copied from class: `AbstractStructuredObject`
      Helper method to write the contents of the Object.
      Overrides:
        `writeContent` in class `AbstractStructuredObject`
      Parameters:
        `os` - The stream to write to
      Throws:
        `java.io.IOException` - throws an I/O exception if one occurred

    - #### writeStart

          protected void writeStart(java.io.OutputStream os)
                             throws java.io.IOException

      Description copied from class: `AbstractStructuredObject`
      Helper method to write the start of the Object.
      Overrides:
        `writeStart` in class `AbstractStructuredObject`
      Parameters:
        `os` - The stream to write to
      Throws:
        `java.io.IOException` - throws an I/O exception if one occurred

    - #### writeEnd

          protected void writeEnd(java.io.OutputStream os)
                           throws java.io.IOException

      Description copied from class: `AbstractStructuredObject`
      Helper method to write the end of the Object.
      Overrides:
        `writeEnd` in class `AbstractStructuredObject`
      Parameters:
        `os` - The stream to write to
      Throws:
        `java.io.IOException` - an I/O exception if one occurred

    - #### setPosition

          public void setPosition(TilePosition tilePosition)

    - #### setSize

          public void setSize(TileSize tileSize)

    - #### setImageData

          public void setImageData(byte[] imageData)

    - #### writeChunksToStream

          protected static void writeChunksToStream(byte[] data,
                                                    byte[] dataHeader,
                                                    int lengthOffset,
                                                    int maxChunkLength,
                                                    java.io.OutputStream os)
                                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setImageEncodingParameter

          public void setImageEncodingParameter(byte encoding)

    - #### setImageIDESizeParameter

          public void setImageIDESizeParameter(byte ideSize)

    - #### setIDEStructureParameter

          public void setIDEStructureParameter(IDEStructureParameter ideStructureParameter)

    - #### setBandImage

          public void setBandImage(BandImage bandImage)

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.